Page Summary
-
Retrieves the status of a specific collection within a Merchant Center account using a GET request.
-
Requires providing the merchant ID and collection ID as path parameters in the request URL.
-
Returns a
CollectionStatusobject containing the collection's status information in the response body upon successful execution. -
Needs authorization with the
https://www.googleapis.com/auth/contentscope for access.
Gets the status of a collection from your Merchant Center account.
HTTP request
GET https://shoppingcontent.googleapis.com/content/v2.1/{merchantId}/collectionstatuses/{collectionId}
Path parameters
| Parameters | |
|---|---|
merchantId |
Required. The ID of the account that contains the collection. This account cannot be a multi-client account. |
collectionId |
Required. The collectionId of the collection. CollectionId is the same as the REST ID of the collection. |
Request body
The request body must be empty.
Response body
If successful, the response body contains an instance of CollectionStatus.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/content
For more information, see the OAuth 2.0 Overview.